PHP 5.5.12 problems after upgrade

Днес ъпгрейднах няколко сървъра с последната версия на PHP 5.5.12 (нали съм фен на ъпдейтването) .. Тоя път стана проблеммм 🙂 След ъпдейта започна да ми дава 502 – bad gateway , а в лога излизаше permission denied. Излезе че в новата версия на PHP-fpm е задължително да се използват listen.owner и съответно за owner да се сложи същият потребител през който работи и уеб сървъра – в моя случай nginx.

След като го оправих, видях нова грешка.. още по-смотана и нахална :

 


2014/05/07 14:10:58 [error] 1951#0: *5 inflate() failed: 4, -3, client: *.*.*.*, server: friendbg.net, request: "GET / HTTP/1.1", host: "friendbg.net"
2014/05/07 14:11:58 [error] 1951#0: *44 inflate() failed: 4, -3, client: *.*.*.*, server: friendbg.net, request: "GET / HTTP/1.1", host: "friendbg.net"

Тук якото беше следното – през уеб браузър сайта се отваря , през lynx или curl дава : unexpected error и съответно pingdom.com ми съобщи че сайта ми е DOWN 🙂
След няколко часово тестване, ровене и мъчение реших кардинално да оправя проблема, като сваля версията на PHP* до 5.5.11 която си работеше без проблеми.

Сторих го по следния начин :


dpkg -i /var/cache/apt/archives/php5*5.5.11*

тъй като в хранилището на dotdeb вече всичко беше с новата версия.

Извод 1 – за сега ще изчакам с ъпдейтване на нови версии на PHP по сървърите ми, че явно промените не са никак малки и могат да ми причинят доста главоболия.

Извод 2 – трябва да спра с тея ъпдейти веднъж завинаги..!!